# `abacusai.user_exception`

## Module Contents

### Classes

`UserException` | Exception information for errors in usercode.

class abacusai.user_exception.UserException(client, type=None, value=None, traceback=None)

  Bases: `abacusai.return_class.AbstractApiClass`

  Exception information for errors in usercode.

  Parameters:

    - client (ApiClient) – An authenticated API Client instance

    - type (str) – The type of exception

    - value (str) – The value of the exception

    - traceback (str) – The traceback of the exception

  __repr__()

    Return repr(self).

  to_dict()

    Get a dict representation of the parameters in this class

    Returns:

      The dict value representation of the class parameters

    Return type:

      dict